Package com.xebialabs.xlrelease.domain.runner

## Class RemoteJobRunner

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.domain.Configuration
      - - com.xebialabs.xlrelease.domain.runner.JobRunner
        - - com.xebialabs.xlrelease.domain.runner.RemoteJobRunner

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      public class RemoteJobRunner
      extends JobRunner

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RemoteJobRunner()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abortJob​(long jobId, java.lang.String executionId)` |
    `boolean` | `available()` |
    `void` | `available_$eq​(boolean x$1)` |
    `java.util.Set<java.lang.String>` | `capabilities()` |
    `void` | `capabilities_$eq​(java.util.Set<java.lang.String> x$1)` |
    `java.lang.Integer` | `capacity()` |
    `void` | `capacity_$eq​(java.lang.Integer x$1)` |
    `static java.lang.String` | `DEFAULT_REMOTE_JOB_RUNNER_CAPABILITY()` |
    `void` | `delete()` |
    `boolean` | `enabled()` |
    `void` | `enabled_$eq​(boolean x$1)` |
    `boolean` | `encryptJobData()` |
    `void` | `encryptJobData_$eq​(boolean x$1)` |
    `java.lang.Integer` | `evictionTime()` |
    `void` | `evictionTime_$eq​(java.lang.Integer x$1)` |
    `java.lang.String` | `execute​(RemoteExecution remoteExecution)` |
    `java.util.Set<java.lang.String>` | `getCapabilities()` |
    `java.lang.Integer` | `getCapacity()` |
    `java.lang.Integer` | `getEvictionTime()` |
    `java.lang.Integer` | `getIdleTimeToLive()` |
    `java.lang.String` | `getPublicKey()` |
    `java.lang.String` | `getRunnerName()` |
    `java.lang.String` | `getVersion()` |
    `java.lang.Integer` | `idleTimeToLive()` |
    `void` | `idleTimeToLive_$eq​(java.lang.Integer x$1)` |
    `boolean` | `isAvailable()` |
    `boolean` | `isEnabled()` |
    `boolean` | `isEncryptJobData()` |
    `java.lang.String` | `publicKey()` |
    `void` | `publicKey_$eq​(java.lang.String x$1)` |
    `java.lang.String` | `runnerName()` |
    `void` | `runnerName_$eq​(java.lang.String x$1)` |
    `void` | `setAvailable​(boolean x$1)` |
    `void` | `setCapabilities​(java.util.Set<java.lang.String> x$1)` |
    `void` | `setCapacity​(java.lang.Integer x$1)` |
    `void` | `setEnabled​(boolean x$1)` |
    `void` | `setEncryptJobData​(boolean x$1)` |
    `void` | `setEvictionTime​(java.lang.Integer x$1)` |
    `void` | `setIdleTimeToLive​(java.lang.Integer x$1)` |
    `void` | `setPublicKey​(java.lang.String x$1)` |
    `void` | `setRunnerName​(java.lang.String x$1)` |
    `void` | `setVersion​(java.lang.String x$1)` |
    `void` | `start()` |
    `void` | `stop()` |
    `java.lang.String` | `toString()` |
    `java.lang.String` | `version()` |
    `void` | `version_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

      `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, hasId, setFolderId`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteJobRunner

          public RemoteJobRunner()

  - ### Method Detail

    - #### DEFAULT_REMOTE_JOB_RUNNER_CAPABILITY

          public static java.lang.String DEFAULT_REMOTE_JOB_RUNNER_CAPABILITY()

    - #### runnerName

          public java.lang.String runnerName()

    - #### runnerName_$eq

          public void runnerName_$eq​(java.lang.String x$1)

    - #### version

          public java.lang.String version()

    - #### version_$eq

          public void version_$eq​(java.lang.String x$1)

    - #### enabled

          public boolean enabled()

    - #### enabled_$eq

          public void enabled_$eq​(boolean x$1)

    - #### capabilities

          public java.util.Set<java.lang.String> capabilities()

    - #### capabilities_$eq

          public void capabilities_$eq​(java.util.Set<java.lang.String> x$1)

    - #### capacity

          public java.lang.Integer capacity()

      Specified by:
        `capacity` in class `JobRunner`

    - #### capacity_$eq

          public void capacity_$eq​(java.lang.Integer x$1)

    - #### evictionTime

          public java.lang.Integer evictionTime()

      Specified by:
        `evictionTime` in class `JobRunner`

    - #### evictionTime_$eq

          public void evictionTime_$eq​(java.lang.Integer x$1)

    - #### encryptJobData

          public boolean encryptJobData()

    - #### encryptJobData_$eq

          public void encryptJobData_$eq​(boolean x$1)

    - #### publicKey

          public java.lang.String publicKey()

    - #### publicKey_$eq

          public void publicKey_$eq​(java.lang.String x$1)

    - #### idleTimeToLive

          public java.lang.Integer idleTimeToLive()

      Specified by:
        `idleTimeToLive` in class `JobRunner`

    - #### idleTimeToLive_$eq

          public void idleTimeToLive_$eq​(java.lang.Integer x$1)

    - #### available

          public boolean available()

    - #### available_$eq

          public void available_$eq​(boolean x$1)

    - #### start

          public void start()

      Specified by:
        `start` in class `JobRunner`

    - #### stop

          public void stop()

      Specified by:
        `stop` in class `JobRunner`

    - #### delete

          public void delete()

      Specified by:
        `delete` in class `JobRunner`

    - #### abortJob

          public void abortJob​(long jobId,
                               java.lang.String executionId)

      Specified by:
        `abortJob` in class `JobRunner`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `BaseConfigurationItem`

    - #### execute

          public java.lang.String execute​(RemoteExecution remoteExecution)

      Specified by:
        `execute` in class `JobRunner`

    - #### getCapabilities

          public java.util.Set<java.lang.String> getCapabilities()

      Specified by:
        `getCapabilities` in class `JobRunner`

    - #### getCapacity

          public java.lang.Integer getCapacity()

    - #### getEvictionTime

          public java.lang.Integer getEvictionTime()

    - #### getIdleTimeToLive

          public java.lang.Integer getIdleTimeToLive()

    - #### getPublicKey

          public java.lang.String getPublicKey()

    - #### getRunnerName

          public java.lang.String getRunnerName()

    - #### getVersion

          public java.lang.String getVersion()

    - #### isAvailable

          public boolean isAvailable()

      Specified by:
        `isAvailable` in class `JobRunner`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in class `JobRunner`

    - #### isEncryptJobData

          public boolean isEncryptJobData()

      Specified by:
        `isEncryptJobData` in class `JobRunner`

    - #### setAvailable

          public void setAvailable​(boolean x$1)

    - #### setCapabilities

          public void setCapabilities​(java.util.Set<java.lang.String> x$1)

    - #### setCapacity

          public void setCapacity​(java.lang.Integer x$1)

    - #### setEnabled

          public void setEnabled​(boolean x$1)

    - #### setEncryptJobData

          public void setEncryptJobData​(boolean x$1)

    - #### setEvictionTime

          public void setEvictionTime​(java.lang.Integer x$1)

    - #### setIdleTimeToLive

          public void setIdleTimeToLive​(java.lang.Integer x$1)

    - #### setPublicKey

          public void setPublicKey​(java.lang.String x$1)

    - #### setRunnerName

          public void setRunnerName​(java.lang.String x$1)

    - #### setVersion

          public void setVersion​(java.lang.String x$1)